diff --git a/game/server/src/main/java/net/minecraft/server/net/PlayerList.java b/game/server/src/main/java/net/minecraft/server/net/PlayerList.java
index bff3c0516..8a6a5ab67 100644
--- a/game/server/src/main/java/net/minecraft/server/net/PlayerList.java
+++ b/game/server/src/main/java/net/minecraft/server/net/PlayerList.java
@@ -699,7 +699,7 @@ public class PlayerList
 
     public void initializePlayerObject(PlayerServer player)
     {
-        player.initializeCraftingInventory(player.inventorySlots);
+        player.initializeCraftingInventory(player.inventoryMenu);
         player.initializeLastFieldValues();
     }
 
diff --git a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index e9ffef8a7..eb32ab9fc 100644
--- a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
+++ b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -432,15 +432,15 @@ public class PacketHandlerServer extends PacketHandler
         }
         this.playerEntity.isChangingQuantityOnly = true;
         this.playerEntity.inventory.mainInventory[this.playerEntity.inventory.getCurrentSlot()] = ItemStack.copyItemStack(this.playerEntity.inventory.mainInventory[this.playerEntity.inventory.getCurrentSlot()]);
-        Slot slot = this.playerEntity.craftingInventory.getSlotFor(this.playerEntity.inventory, this.playerEntity.inventory.getCurrentSlot());
-        this.playerEntity.craftingInventory.broadcastChanges();
+        Slot slot = this.playerEntity.containerMenu.getSlotFor(this.playerEntity.inventory, this.playerEntity.inventory.getCurrentSlot());
+        this.playerEntity.containerMenu.broadcastChanges();
         this.playerEntity.isChangingQuantityOnly = false;
         if (slot == null) {
-            LOGGER.warn("Couldn't find slot for index '{}' in {}'s inventory while they were in the {} container!", this.playerEntity.inventory.getCurrentSlot(), this.playerEntity.username, this.playerEntity.craftingInventory.getClass().getSimpleName());
+            LOGGER.warn("Couldn't find slot for index '{}' in {}'s inventory while they were in the {} container!", this.playerEntity.inventory.getCurrentSlot(), this.playerEntity.username, this.playerEntity.containerMenu.getClass().getSimpleName());
             return;
         }
         if (!ItemStack.areItemStacksEqual(this.playerEntity.inventory.getCurrentItem(), packet.itemStack)) {
-            sendPacket(new PacketContainerSetSlot(this.playerEntity.craftingInventory.containerId, slot.index, this.playerEntity.inventory.getCurrentItem()));
+            sendPacket(new PacketContainerSetSlot(this.playerEntity.containerMenu.containerId, slot.index, this.playerEntity.inventory.getCurrentItem()));
         }
     }
 
@@ -635,33 +635,33 @@ public class PacketHandlerServer extends PacketHandler
 
     @Override
     public void handleContainerClick(@NotNull PacketContainerClick packetContainerClick) {
-        if (this.playerEntity.craftingInventory.containerId == packetContainerClick.window_Id && this.playerEntity.craftingInventory.isSynched(this.playerEntity)) {
-            ItemStack itemstack = this.playerEntity.craftingInventory.clicked(packetContainerClick.action, packetContainerClick.args, this.playerEntity);
+        if (this.playerEntity.containerMenu.containerId == packetContainerClick.window_Id && this.playerEntity.containerMenu.isSynched(this.playerEntity)) {
+            ItemStack itemstack = this.playerEntity.containerMenu.clicked(packetContainerClick.action, packetContainerClick.args, this.playerEntity);
             if (ItemStack.areItemStacksEqual(packetContainerClick.itemStack, itemstack)) {
                 this.playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(packetContainerClick.window_Id, packetContainerClick.actionId, true));
                 this.playerEntity.isChangingQuantityOnly = true;
-                this.playerEntity.craftingInventory.broadcastChanges();
+                this.playerEntity.containerMenu.broadcastChanges();
                 this.playerEntity.updateHeldItem();
                 this.playerEntity.isChangingQuantityOnly = false;
             } else {
-                this.guiIdMap.put(this.playerEntity.craftingInventory.containerId, packetContainerClick.actionId);
+                this.guiIdMap.put(this.playerEntity.containerMenu.containerId, packetContainerClick.actionId);
                 this.playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(packetContainerClick.window_Id, packetContainerClick.actionId, false));
-                this.playerEntity.craftingInventory.setSynched(this.playerEntity, false);
+                this.playerEntity.containerMenu.setSynched(this.playerEntity, false);
                 ArrayList<ItemStack> arraylist = new ArrayList<>();
-                for (int i = 0; i < this.playerEntity.craftingInventory.slots.size(); i++) {
-                    arraylist.add(this.playerEntity.craftingInventory.slots.get(i).getItemStack());
+                for (int i = 0; i < this.playerEntity.containerMenu.slots.size(); i++) {
+                    arraylist.add(this.playerEntity.containerMenu.slots.get(i).getItemStack());
                 }
 
-                this.playerEntity.updateCraftingInventory(this.playerEntity.craftingInventory, arraylist);
+                this.playerEntity.updateCraftingInventory(this.playerEntity.containerMenu, arraylist);
             }
         }
     }
 
     @Override
     public void handleContainerAck(@NotNull PacketContainerAck packet) {
-        short short1 = this.guiIdMap.get(this.playerEntity.craftingInventory.containerId);
-        if (packet.shortWindowId == short1 && this.playerEntity.craftingInventory.containerId == packet.windowId && !this.playerEntity.craftingInventory.isSynched(this.playerEntity)) {
-            this.playerEntity.craftingInventory.setSynched(this.playerEntity, true);
+        short short1 = this.guiIdMap.get(this.playerEntity.containerMenu.containerId);
+        if (packet.shortWindowId == short1 && this.playerEntity.containerMenu.containerId == packet.windowId && !this.playerEntity.containerMenu.isSynched(this.playerEntity)) {
+            this.playerEntity.containerMenu.setSynched(this.playerEntity, true);
         }
     }
 
@@ -712,8 +712,8 @@ public class PacketHandlerServer extends PacketHandler
 
     @Override
     public void handleUpdateCreativeInventory(@NotNull PacketUpdateCreativeInventory packet) {
-        if (this.playerEntity.craftingInventory.containerId == packet.windowId && this.playerEntity.craftingInventory instanceof MenuInventoryCreative) {
-            ((MenuInventoryCreative) this.playerEntity.craftingInventory).setInventoryStatus(packet.page, packet.searchText);
+        if (this.playerEntity.containerMenu.containerId == packet.windowId && this.playerEntity.containerMenu instanceof MenuInventoryCreative) {
+            ((MenuInventoryCreative) this.playerEntity.containerMenu).setInventoryStatus(packet.page, packet.searchText);
         }
     }
 
@@ -748,7 +748,7 @@ public class PacketHandlerServer extends PacketHandler
                 this.playerEntity.placementModeOverride = PlacementMode.get(packetCustomPayload.data[3]);
             }
         } else if (PacketCustomPayload.CHANNEL_FLAG.equals(packetCustomPayload.channel)) {
-            if (packetCustomPayload.data.length == 1 + (TileEntityFlag.CANVAS_WIDTH * TileEntityFlag.CANVAS_HEIGHT) && this.playerEntity.craftingInventory instanceof MenuFlag menuFlag) {
+            if (packetCustomPayload.data.length == 1 + (TileEntityFlag.CANVAS_WIDTH * TileEntityFlag.CANVAS_HEIGHT) && this.playerEntity.containerMenu instanceof MenuFlag menuFlag) {
                 TileEntityFlag flag = menuFlag.flag;
 
                 if (flag.owner == null || flag.owner.equals(this.playerEntity.uuid)) {
